[Deprecated]: V1.0
post
/ec-designer-edc-svc/rest/v1.0/studies/{studyId}/visitsforms/actionitems
Deprecated in v1.0. Returns visit/form action items by study version and mode. Use /v20.0 visit forms APIs for current supported behavior.
Request
Path Parameters
-
studyId(required): string(uuid)
Study ID (UUID, 32-character uppercase hexadecimal string). Required.
Query Parameters
-
action: string
Action filter (optional). Allowed values: autolock, ALL.Default Value:
ALLAllowed Values:[ "autolock", "ALL" ] -
excludeItemType: string
Form item type to exclude (optional). Allowed value: instructionalText.Allowed Values:
[ "instructionalText" ] -
formCategory: string
Form category filter (optional). Allowed values: DCS, NSF, ALL.Default Value:
ALLAllowed Values:[ "DCS", "NSF", "ALL" ] -
mode(required): string
Study mode filter. Required. Allowed values: test, training, active.Allowed Values:
[ "test", "training", "active" ]
Supported Media Types
- application/json
Nested Schema : StudyVersionVisitDtoV9
Type:
Show Source
object-
studyId: string
(uuid)
-
studyTitle: string
Study nameExample:
Study 03 -
version: string
versionExample:
1.3.0.6 -
versionPreviousStatus: string
Allowed Values:
[ "DRAFT", "TESTING", "APPROVED", "ARCHIVED" ]Previous study statusExample:TESTING -
versionStatus: string
Study version statusExample:
Active, not recruiting -
visitId: string
(uuid)
Visit GUID
Examples
Back to Top
Response
Supported Media Types
- application/json
200 Response
Visit action items returned successfully.
Nested Schema : actions
Type:
Show Source
array-
Array of:
object From Item Advanced Property v7.0
Title:
From Item Advanced Property v7.0Form Item Advanced Property
Nested Schema : From Item Advanced Property v7.0
Type:
objectTitle:
From Item Advanced Property v7.0Form Item Advanced Property
Show Source
-
id: string
(uuid)
Advanced property id
-
label: string
Advanced property label in UI, i.e. studyNameExample:
Study BT-31 -
name: string
Advanced property name, mapped to the ECD_EXTENDED_PROPERTIES.PROPERTY_NAME columnExample:
RolloverQuestion -
parentObjectId: string
(uuid)
-
parentObjectLabel: string
-
parentObjectLevel: string
-
rules: array
rules
-
type: string
Advanced property type, mapped to the ECD_EXTENDED_PROPERTIES.RESPONSE_MAP_JSON column 'valueType' fieldExample:
Dropdown -
value: string
Advanced property value of studyIdExample:
B1B8327AFAA6412287106192AB5984EF
Nested Schema : rules
Type:
Show Source
array-
Array of:
object From Item Advanced Property Rule v7.0
Title:
From Item Advanced Property Rule v7.0Form Item Advanced Property Rule
Nested Schema : From Item Advanced Property Rule v7.0
Type:
objectTitle:
From Item Advanced Property Rule v7.0Form Item Advanced Property Rule
Show Source
-
label: string
For RolloverQuestion property it is an ECD_CODELISTITEM.OBJECT_DESCRIPTIONExample:
Yes -
name: string
nameExample:
Answer for Rollover -
value: string
For RolloverQuestion property it is an ECD_CODELISTITEM.CODELISTITEM_IDExample:
B1B8327AFAA6412287106192AB5984EF
Examples
500 Response
Error
Nested Schema : details
Type:
object